.status {
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    gap: $space * 2;
    font-size: $font-size-small;
    font-weight: 400;
    color: $grey-600;
    white-space: nowrap;

    .icon {
        flex-shrink: 0;
    }

    &.loading,
    &.process,
    &.progress,
    &.inprogress,
    &.running,
    &.pending,
    &.waiting {
        color: $color-base;
    }

    &.active,
    &.success,
    &.installed,
    &.completed,
    &.online,
    &.succeeded {
        color: $green-600;
    }

    &.fail,
    &.error,
    &.failed {
        color: $red-600;
    }

    &.warning,
    &.paused {
        color: $yellow-500
    }

    &.undefined,
    &.offline,
    &.omitted {
        color: $grey-600;
    }
}
